.achtergrond-image {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    z-index: -1;
    overflow-y: auto;
}

.homepage-main {
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex;
    height: auto;
    min-height: 200px;
    position: relative;
    flex-direction: column;
}

.homepage-titel {
    margin: clamp(40px, 60px, 100px);
    font-size: clamp(20px, 4vw, 300px);
    white-space: nowrap;
    font-family: 'Courier New', monospace;
    color: #fb61f9;
    text-shadow:
        -3px -3px 0 blueviolet, /* Top-left */
        3px -3px 0 blueviolet,  /* Top-right */
        -3px 3px 0 blueviolet,  /* Bottom-left */
        3px 3px 0 blueviolet;   /* Bottom-right */
}


.blogs-menu {
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    max-width: 1000px;
    width: 100%;
    place-items: center;
}

.blog {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 100px 80px; /* This padding might need to be adjusted for the fixed height */
    text-decoration: none;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    background-color: #fb61f9;
    color: white;
    transition: background-color 0.3s;
    max-width: 80vw;
    height: 200px; /* Fixed height for all buttons */
    flex-grow: 1; /* Ensures buttons take up equal space */
    text-align: center; /* Centers the text vertically */
    box-sizing: border-box; /* Ensures padding does not affect the size */
}

.blog:hover {
    background-color: blueviolet;
}

@media (max-width: 600px) {
    .blogs-menu {
        grid-template-columns: 1fr; /* Stack the blogs vertically on small screens */
    }
}
